------------------------------------------------------------------------------------
--Name:			201027[简体征服][活动脚本]战士觉醒预热活动
--Creator:		林玉锦
--Created:		2020/11/23
------------------------------------------------------------------------------------
-- /callluafunc </F>User_PlayPlot</N>99

CppScriptMgr:SetViewPosByCell(72,25)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetLightScreen(2000)

local hero = CppScriptMgr:QueryHero()
hero:SetLook(hero:GetLook(), false, true)
hero:SetZoomPercent(100)
hero:SetPos(68,28)
hero:SetDir(6)

local Boss2 = CppScriptMgr:AddPlayer(153,72,25,"Abyss Evil Lord")
Boss2:SetZoomPercent(200)
Boss2:SetDir(0)
-- 播放一个死亡动作，喊话：“The abyss will devour everything and I will be back!”
-- 留下一个骷髅火焰（特效）
Boss2:SetAction(330)
Boss2:Say("The abyss will devour everything and I will be back!",2000)
CppScriptMgr:WaitMilSec(2000)
Boss2:SetPos(40,40)
local effectObj = CppScriptMgr:AddPlayer(44150,72,25,"")
effectObj:AddEffect("zf2-e218",72,25)
CppScriptMgr:WaitMilSec(2000)

-- Xue Wenzong：
-- 大侠，一切都结束了，我们去向韩队长报告胜利吧.
CppScriptMgr:NpcCallOut("It`s all over. Let`s report the victory to Han Jingzhong.\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc189", 150, 430, "Xue Wenzong", 250, 655)
CppScriptMgr:WaitMilSec(3000)
hero:RunTo(66,40)
-- 骷髅火焰（特效）脚底闪耀着阵法（特效）的光芒，Abyss Evil Lord再度复活.
-- CppScriptMgr:AddEffect("zf2-e224",72,25)
CppScriptMgr:WaitMilSec(2000)
-- effectObj:SetPos(40,40)
-- local Boss3 = CppScriptMgr:AddPlayer(153,72,25,"Iron Evil Lord")
-- Boss3:SetZoomPercent(200)
-- Boss3:SetDir(0)
-- 插入对话：
-- （使用无半身像对话）
-- NPC：
-- Iron Evil Lord：
-- 我感受到了，箫无定的气息，看来，战神即将觉醒了.
-- CppScriptMgr:AddEffect("zf2-e224",72,25)
-- Boss3:Say("我感受到了，箫无定的气息，看来，战神即将觉醒了.",3000)
effectObj:Say("I can feel General Xiao. The warlord is awakening.",3000)
CppScriptMgr:WaitMilSec(3000)
effectObj:SetPos(40,40)
CppScriptMgr:AddEffect("zf2-e224",72,25)
local Boss3 = CppScriptMgr:AddPlayer(153,72,25,"Iron Evil Lord")
Boss3:SetZoomPercent(200)
Boss3:SetDir(0)
CppScriptMgr:SetDarkScreen(3000)
CppScriptMgr:WaitMilSec(3000)


